=== CustomerLabs CDP ===
Contributors: CustomerLabs Team
Tags: no code alternative, event tracking
Requires at least: 3.6
Tested up to: 5.8
Stable tag: 1.8.1
Requires PHP: 7.0
License: GPLv2
License URI: http://www.gnu.org/licenses/gpl-2.0.html

Without writing code, track anything on your website and unify customer data across marketing stack.

## Description

CustomerLabs CDP for WordPress is the easiest way to integrate Ad platforms and marketing tools into your WordPress site.

Instead of installing each tool individually, just install CustomerLabs's WordPress plugin and use No-Code event Tracker to track your site events and send to Ad platforms and marketing tools with the flick of a switch!.

## Here's how it works:
* Install the CustomerLabs CDP plugin
* CustomerLabs CDP will automatically start tracking how people are using your site – what pages they view and the information they provide to you, like their emails
* Go to the CustomerLabs CDP Destinations and enable destination where you want to send data
* CustomerLabs CDP will send this data along to each destinations
* The service is fully integrated into your site–zero code required!


Get started with CustomerLabs CDP for WordPress today!

## Installation

1. Go to the **Plugins > Add New** page in your WordPress admin.
2. Search for "CustomerLabs CDP" and install **CustomerLabs CDP — by CustomerLabs Digital Solutions Pvt. Ltd.**.
3. Click **Activate Plugin**.
4. Go to **Settings > CustomerLabs CDP** and enter your CustomerLabs CDP App ID.

That's it! You can now turn on any Destinations in CustomerLabs CDP Destinations section.

## Frequently Asked Questions

- Is this plugin free = 
Yes its free. but you should sign in to CustomerLabs CDP before getting started

- Which actions does it record automatically? =
We automatically record All the "Page views" and also track user login.

- Does it supports woocommerce? =
Yes, It's support woocommerce, and automatically track eCommerce events 
like (added_to_cart, product viewed, purchased)

## Screenshots

1. settings screen where you can control tracking

## Changelog

= 1.8.1 =
* Javascript variable conflict on cookie update

= 1.8.0 =
* Plugin name changed from Action Recorder -> Customerlabs CDP

= 1.7.0 =
* Plugin tested upto latest version of WordPress-6.1.1

= 1.6.0 =
* Handled duplicate purchase event triggers

= 1.5.0 =
* Cookies values contains plus instead of space issue fixed

= 1.4.0 =
* Handling ajax triggers from frontend for add_to_cart and remove_from_cart

= 1.3.1 =
* Removed user traits from "User Signed Up" and "User Logged In" events

= 1.3.0 =
* Fixed multiple ajax events
* Fixed multiple events tracking on page load

= 1.2.1 =
* Bug Fix settings update issue

= 1.2.0 =
* Added search event tracking

= 1.1.0 =
* woocommerce tracking

= 1.0.0 =
* Initial release!

## Upgrade Notice

= 1.8.1 =
Javascript variable conflict on cookie update

= 1.8.0 =
Plugin name changed from Action Recorder -> Customerlabs CDP

= 1.7.0 =
Plugin tested upto latest version of WordPress-6.1.1

= 1.6.0 =
Handled duplicate purchase event triggers

= 1.5.0 =
Cookies values contains plus instead of space issue fixed

= 1.4.0 =
Handling ajax triggers from frontend for add_to_cart and remove_from_cart

= 1.3.1 =
Removed user traits from "User Signed Up" and "User Logged In" events

= 1.3.0 =
Fixed multiple ajax events
Fixed multiple events tracking on page load

= 1.2.1 =
Bug Fix settings update issue

= 1.2.0 =
Added search event tracking

= 1.1.0 =
Supports woocommerce integration

= 1.0 =
Just released into the wild.