<script type="text/javascript" id="cl_woocommerce_tracking">
window.clWordpressTrack = function(){
	var _clsettings = <?php echo json_encode( CLTracker_WordPress::esc_js_deep( $settings ) ); ?>;
	var _clSendEvent = function(woo_event_name, woo_attributes){
		if(woo_event_name == "Purchased"){
			if( ((woo_attributes || {}).customProperties || {}).transaction_id && window.localStorage){
				var purchases_str = localStorage.getItem('cl_past_purchases') || "{}";
				var purchases = JSON.parse(purchases_str);
				if(!purchases[woo_attributes.customProperties.transaction_id]){
					_cl.trackClick(woo_event_name, woo_attributes);
					purchases[woo_attributes.customProperties.transaction_id] = "true";
					window.localStorage.setItem("cl_past_purchases", JSON.stringify(purchases));
				}
			}else{
				_cl.trackClick(woo_event_name, woo_attributes);
			}
		}else{
			_cl.track(woo_event_name, woo_attributes);
		}
	}
<?php
	foreach ($tracks as $track) {
		if ( $track ) {
			$cached_event = isset( $track['cached_event'] ) ? $track['cached_event'] : false;
			$event = $track['event'];
			$attributes = $track['attributes'];
			if ( $cached_event ) :
			?>

					_cl.ajaxurl = "<?php echo esc_url( admin_url( 'admin-ajax.php' ) ); ?>";

					jQuery( document ).ready( function( $ ) {
						var data = {
							action : 'cltracker_unset_cookie',
							key    : '<?php echo esc_js( $cached_event ); ?>',

						},
						success = function( response ) {
							console.log( response );
						};

						$.post( _cl.ajaxurl, data, success );
					});

			<?php
			endif;
			?>
			var woo_event_name = <?php echo '"' . esc_js( $event ) . '"' ?>;
			var woo_attributes = <?php if ( ! empty( $attributes ) ) { 	echo json_encode( CLTracker_WordPress::esc_js_deep( $attributes ) ); } else { echo json_encode(CLTracker_WordPress::esc_js_deep(array())); } ?>;
			_clSendEvent(woo_event_name, woo_attributes);
		<?php
		}
	}?>
	var configs = [], cookies = document["cookie"]["split"](";");
	for (var _cli = 0, len = cookies["length"]; _cli < len; _cli++) {
		if(
			( cookies[_cli].trim().indexOf("cltracker_added_to_cart") == 0 && _clsettings["track_add_to_cart"] == "1" ) ||
			( cookies[_cli].trim().indexOf("cltracker_removed_from_cart") == 0 && _clsettings["track_remove_from_cart"] == "1" )
		){
			var keyValues = cookies[_cli].split("=")
			configs.push({"key": keyValues[0], "value": keyValues[1]});
		}
	}
	for(var _clind in configs){
		try {
			var	clconfig = configs[_clind]
			if(clconfig){
				var key = decodeURIComponent( clconfig["key"] ).trim()
				var value = JSON.parse( decodeURIComponent( clconfig["value"] ))
				var ajaxurl = "<?php echo esc_url( admin_url( 'admin-ajax.php' ) ); ?>";
				
				var formData = new FormData();
				formData.append("action", "cltracker_unset_cookie");
				formData.append("key", value["cached_event"]);
				_clSendEvent(value["event"], value["attributes"]);
				
				var xhttp = new XMLHttpRequest();
				xhttp.onreadystatechange = function() {
					if (this.readyState == 4 && this.status == 200) {
						console.log("event object stored successfully", "color:green, font-size: 14px");
						var host = location.host
						var domain = host.indexOf("localhost") == -1 && isNaN(host.split(".")[0]) ? "." + host : "";
						document.cookie = key + "=" + ";domain=" + domain + "; expires=Thu, 01 Jan 1970 00:00:01 GMT;path=/;";
					}
				};
				xhttp.open("POST", ajaxurl);
				xhttp.send(formData);
			}
		} catch (error) {
			console.error(error);
		}
	}
};

</script>